Bug 1298864 - (CVE-2015-8770) CVE-2015-8770 roundcube: remote code execution
CVE-2015-8770 roundcube: remote code execution
Status: CLOSED CURRENTRELEASE
Product: Security Response
Classification: Other
Component: vulnerability (Show other bugs)
unspecified
All Linux
medium Severity medium
: ---
: ---
Assigned To: Red Hat Product Security
impact=moderate,public=20151221,repor...
: Security
Depends On: 1298865
Blocks:
  Show dependency treegraph
 
Reported: 2016-01-15 04:43 EST by Andrej Nemec
Modified: 2017-03-14 11:29 EDT (History)
4 users (show)

See Also:
Fixed In Version: roundcubemail 1.1.4
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2017-03-14 11:29:48 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Andrej Nemec 2016-01-15 04:43:58 EST
High-Tech Bridge Security Research Lab discovered a path traversal vulnerability in a popular webmail client Roundcube. Vulnerability can be exploited to gain access to sensitive information and under certain circumstances to execute arbitrary code and totally compromise the vulnerable server.

The vulnerability exists due to insufficient sanitization of "_skin" HTTP POST parameter in "/index.php" script when changing between different skins of the web application. A remote authenticated attacker can use path traversal sequences (e.g. "../../") to load a new skin from arbitrary location on the system, readable by the webserver. 

Original report with reproducer:

http://seclists.org/bugtraq/2016/Jan/60
Comment 1 Andrej Nemec 2016-01-15 04:44:22 EST
Created roundcubemail tracking bugs for this issue:

Affects: epel-all [bug 1298865]

Note You need to log in before you can comment on or make changes to this bug.